<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateProyecto extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('proyecto')
			->addColumn('inmobiliaria', 'integer', ['length' => 10, 'default' => null, 'null' => true, 'signed' => false])
			->addColumn('descripcion', 'mediumtext', ['null' => false])
			->addColumn('direccion', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('superficie_terreno', 'float', ['default' => 0, 'null' => false, 'signed' => false])
			->addColumn('valor_terreno', 'float', ['default' => 0, 'null' => false, 'signed' => false])
			->addColumn('corredor', 'float', ['default' => 0, 'null' => false, 'signed' => false])
			->addColumn('superficie_sobre_nivel', 'float', ['default' => 0, 'null' => false, 'signed' => false])
			->addColumn('superficie_bajo_nivel', 'float', ['default' => 0, 'null' => false, 'signed' => false])
			->addColumn('pisos', 'integer', ['length' => 10, 'default' => 0, 'null' => false, 'signed' => false])
			->addColumn('subterraneos', 'integer', ['length' => 10, 'default' => 0, 'null' => false, 'signed' => false])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
